{
  "version": "2.0.0",
  "tasks": [
    {
      "label": "Build workspace image",
      "type": "shell",
      "command": "./build-workspace.sh",
      "group": "build",
      "problemMatcher": [],
      "detail": "build podman image using buildah"
    },
    {
      "label": "Clean dangling images",
      "type": "shell",
      "command": "./clean_dangling_images.sh",
      "problemMatcher": [],
      "detail": "Clean podman images"
    },
    {
      "label": "Tag image",
      "type": "shell",
      "command": "podman tag localhost/analytics-backend-workspace:latest localhost:5100/analytics-backend-workspace:latest",
      "problemMatcher": [],
      "detail": "Tag podman image to localhost 5100"
    },
    {
      "label": "Push image",
      "type": "shell",
      "command": "podman push --tls-verify=false localhost:5100/analytics-backend-workspace:latest",
      "problemMatcher": [],
      "detail": "Push podman image to localhost 5100"
    },
    {
      "label": "Copy ssh_router.sh",
      "type": "shell",
      "command": "sudo cp ssh_router.sh /home/infilytics/ && sudo chown -R infilytics:infilytics /home/infilytics/ssh_router.sh",
      "problemMatcher": [],
      "detail": "Copy ssh_router.sh to /home/infilytics"
    }
  ],
  "inputs": []
}
